### Class

# Foundry DebuggerMappedRegion

#### Description [src]

    abstract class Foundry.DebuggerMappedRegion : GObject.Object
    {
      /* No available fields */
    }

Abstract base class for representing mapped memory regions in the debugger.

FoundryDebuggerMappedRegion provides the core interface for representing mapped memory regions during debugging sessions. It includes address information, access modes, and provides a unified interface for memory region inspection and management across different debugging backends.

#### Ancestors

- GObject

#### Instance methods

###### foundry_debugger_mapped_region_dup_path

No description available.

###### foundry_debugger_mapped_region_get_mode

No description available.

###### foundry_debugger_mapped_region_get_offset

No description available.

###### foundry_debugger_mapped_region_get_range

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.DebuggerMappedRegion:begin-address

No description available.

###### Foundry.DebuggerMappedRegion:end-address

No description available.

###### Foundry.DebuggerMappedRegion:mode

No description available.

###### Foundry.DebuggerMappedRegion:offset

The offset within `path` where the mapping originates.

since: 1.1

###### Foundry.DebuggerMappedRegion:path

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryDebuggerMappedRegionClass {
      GObjectClass parent_class;
      void (* get_range) (
        FoundryDebuggerMappedRegion* self,
        guint64* begin_address,
        guint64* end_address
      );
      char* (* dup_path) (
        FoundryDebuggerMappedRegion* self
      );
      guint (* get_mode) (
        FoundryDebuggerMappedRegion* self
      );
      guint64 (* get_offset) (
        FoundryDebuggerMappedRegion* self
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`get_range: void (* get_range) ( FoundryDebuggerMappedRegion* self, guint64* begin_address, guint64* end_address )`

  No description available.

`dup_path: char* (* dup_path) ( FoundryDebuggerMappedRegion* self )`

  No description available.

`get_mode: guint (* get_mode) ( FoundryDebuggerMappedRegion* self )`

  No description available.

`get_offset: guint64 (* get_offset) ( FoundryDebuggerMappedRegion* self )`

  No description available.

#### Virtual methods

###### Foundry.DebuggerMappedRegionClass.dup_path

No description available.

###### Foundry.DebuggerMappedRegionClass.get_mode

No description available.

###### Foundry.DebuggerMappedRegionClass.get_offset

No description available.

###### Foundry.DebuggerMappedRegionClass.get_range

No description available.